#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

int main()
{
	int n, m; cin >> n >> m;
	vector<int> takmicari(n);
	for (int i = 0; i < n; i++)
		cin >> takmicari[i];
	vector<pair<int, int>> poznanici(m);
	for (int i = 0; i < m; i++)
		cin >> poznanici[i].first >> poznanici[i].second;

	int ukupna_sreca = 0;
	for (pair<int, int> par: poznanici)
	{
		int sreca, prvi = takmicari[par.first - 1], drugi = takmicari[par.second - 1];
		if (abs(prvi) > abs(drugi))
		{
			sreca = prvi;
			if (sreca < 0)
			{
				sreca = abs(sreca);
				sreca -= drugi;
			}
			else
				sreca += drugi;
		}
		else
		{
			sreca = drugi;
			if (sreca < 0)
			{
				sreca = abs(sreca);
				sreca -= prvi;
			}
			else
				sreca += prvi;
		}
		ukupna_sreca += sreca;
	}
	cout << ukupna_sreca;
}